package com.qmth.sop.common.enums;

import java.util.Objects;

/**
 * @Description: job enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/31
 */
public enum JobEnum {

    FLOW_TASK_REMIND_JOB("流程任务提醒定时任务"),

    FLOW_TASK_REMIND_JOB_GROUP("流程任务提醒定时任务组"),

    SEQUENCE_JOB("序列重置定时任务"),

    SEQUENCE_JOB_GROUP("序列重置定时任务组"),

    REMIND_QUARTZ_JOB_GROUP("任务提醒一次性job group"),

    SYNC_FXXK_CRM("同步纷享销客派单数据定时任务"),

    SYNC_FXXK_CRM_GROUP("同步纷享销客派单数据定时任务组"),

    SYNC_RTZF_USER_PUSH("软通智服用户推送定时任务"),

    SYNC_RTZF_USER_PUSH_GROUP("软通智服用户推送定时任务组"),

    SYNC_RTZF_USER_UPDATE("软通智服用户更新定时任务"),

    SYNC_RTZF_USER_UPDATE_GROUP("软通智服用户更新定时任务组"),

    AUTO_ADD_DING_RECORD("自动打卡定时任务"),

    AUTO_ADD_DING_RECORD_GROUP("自动打卡定时任务组");

    private String title;

    private JobEnum(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(String value) {
        for (JobEnum e : JobEnum.values()) {
            if (Objects.equals(value.trim(), e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }
}
